Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.webservice.async
Class AsyncInfo

    java.lang.Object
      weblogic.webservice.async.AsyncInfo

Deprecated. please migrate to jws for webservices

public class AsyncInfo
extends Object

Use the AsyncInfo class to pass additional information about the asynchronous client to WebLogic Server. This information includes setting a listener to listen to the results of an asynchronous call, whether the operation is being invoked using reliable SOAP messaging, and so on.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`AsyncInfo()` Deprecated.

Method Summary
`Object` | `getCaller()` Deprecated. Returns the instance of the client proxy that made the asynchronous call.
`ResultListener` | `getResultListener()` Deprecated. Returns the result listener object.
`boolean` | `isInOrderDelivery()` Deprecated. Checks whether this asynchronous invoke is an in-order reliable SOAP messaging.
`boolean` | `isReliableDelivery()` Deprecated. Checks whether this asynchronous invoke is to an operation that has been configured for reliable SOAP messaging.
`void` | `setReliableDelivery(boolean reliable)` Deprecated. Specifies that this asynchronous call is to an operation that has been configured for reliable SOAP messaging.
`void` | `setResultListener(ResultListener resultListener)` Deprecated. Sets the result listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncInfo

    public AsyncInfo()

  Deprecated.

Method Detail

### getCaller

    public Object getCaller()

  Deprecated.
  Returns the instance of the client proxy that made the asynchronous call.

### getResultListener

    public ResultListener getResultListener()

  Deprecated.
  Returns the result listener object.

### isInOrderDelivery

    public boolean isInOrderDelivery()

  Deprecated.
  Checks whether this asynchronous invoke is an in-order reliable SOAP messaging.

  Returns:
    true if this invoke is an in-order reliable SOAP messaging.

### isReliableDelivery

    public boolean isReliableDelivery()

  Deprecated.
  Checks whether this asynchronous invoke is to an operation that has been configured for reliable SOAP messaging.

  Returns:
    true is this invoke is reliable

### setReliableDelivery

    public void setReliableDelivery(boolean reliable)
                             throws weblogic.webservice.saf.StoreForwardException

  Deprecated.
  Specifies that this asynchronous call is to an operation that has been configured for reliable SOAP messaging.

  Parameters:
    `reliable` - if true, sets the invocation to use reliable SOAP messaging.
  Throws:
    `weblogic.webservice.saf.StoreForwardException`

### setResultListener

    public void setResultListener(ResultListener resultListener)

  Deprecated.
  Sets the result listener.

  Parameters:
    `resultListener` - listener to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD